Page MenuHomePhabricator

ThumbnailRender job fails on private wikis
Closed, ResolvedPublic

Description

This is a recently created wiki, I'm sure it's a configuration problem, resulting in those errors.

ThumbnailRenderJob::hitThumbUrl: invalid thumb URL: /w/thumb_handler.php/3/31/Agustus_28_2017_SK_081_Surat_ajakan_kompetisi_GANESHA.pdf/page1-640px-Agustus_28_2017_SK_081_Surat_ajakan_kompetisi_GANESHA.pdf.jpg

A private wiki can probably live without thumbnail prerendering anyway.

Related Objects

Event Timeline

Gilles triaged this task as Medium priority.Sep 17 2018, 8:50 AM
Gilles created this task.

At a glance, it might be that it's expecting a URL and instead it's only getting a path?

Gilles added a comment.EditedSep 17 2018, 9:33 AM

Turns out id_internalwikimedia is probably showing up more because it's having a lot of activity, but all private wikis are affected. The prerender job has always failed for them, apparently.

On a public wiki $file->getThumbUrl gives a fully qualified URL:

https://upload.wikimedia.org/wikipedia/commons/thumb/7/7d/%28JFK%2C_April_26%2C_2018_release%29_10_%28JFK%2C_April_26%2C_2018_release%29.pdf/page1-640px-%28JFK%2C_April_26%2C_2018_release%29_10_%28JFK%2C_April_26%2C_2018_release%29.pdf.jpg

On a private wiki, it's just a path:

/w/thumb_handler.php/7/78/2009-10_Wikimedia_Foundation_Annual_Plan_FINAL.pdf/page1-640px-2009-10_Wikimedia_Foundation_Annual_Plan_FINAL.pdf.jpg

Since thumbnail URLs require auth on private wikis, the pre-render job wouldn't work anyway, as the MediaWiki cURL client wouldn't be logged in. It's probably best to skip pre-rendering on private wikis, where it's less important.

Gilles renamed this task from ThumbnailRender job failures for id_internalwikimedia to ThumbnailRender job fails on private wikis.Sep 17 2018, 9:34 AM

Change 460868 had a related patch set uploaded (by Gilles; owner: Gilles):
[operations/mediawiki-config@master] Disable thumbnail prerendering on private wikis

https://gerrit.wikimedia.org/r/460868

Change 460868 merged by jenkins-bot:
[operations/mediawiki-config@master] Disable thumbnail prerendering on private wikis

https://gerrit.wikimedia.org/r/460868

Mentioned in SAL (#wikimedia-operations) [2018-09-17T11:18:30Z] <gilles@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T204478 Disable thumbnail prerendering on private wikis (duration: 00m 49s)

Gilles closed this task as Resolved.Sep 17 2018, 11:32 AM

Seems to have worked, job errors on id_internalwikimedia have stopped.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM